entity compNbits is
generic( N	: natural := 4);
port(	x, y	: in 	bit_vector(N-1 downto 0);
		G, L	: out	bit);
end compNbits;

architecture ladder of compNbits is
	signal	Gv, Lv	: bit_vector(N downto 0);
	component comp1bit is
		port
			(
			Gi, Li	: in	bit;
			x, y		: in	bit;
			G, L		: out	bit
			);
		end component;
begin
	Gv(N) <= '0';
	Lv(N) <= '0';
	ligacao: for i in x'range generate
		comp: comp1bit port map (Gv(i+1), Lv(i+1), x(i), y(i), Gv(i), Lv(i));
	end generate;
	G <= Gv(0);
	L <= Lv(0);
end ladder;
